%define dvddev /dev/dvd
%define dvdsize 4590208

%define lname tkdvd
%define Name TkDVD
Name: %lname
Version: 4.0.6
Release: alt1
Summary: TCL/Tk GUI for dvd+rw-tools
Summary(uk_UA.CP1251): TCL/Tk GUI  dvd+rw-tools
Summary(ru_RU.CP1251): TCL/Tk GUI  dvd+rw-tools
License: GPL
Group: Archiving/Cd burning
URL: http://savannah.nongnu.org/projects/%lname
Source0: http://regis.damongeot.free.fr/tkdvd/dl/%lname-%version.tar.bz2
Source1: %Name-i18n-uk-4.0.3.tcl.gz
Source2: %Name-i18n-ru-4.0.3.tcl.gz
Patch: %lname-4.0.5-width.patch
BuildArch: noarch
Provides: %Name = %version-%release
Obsoletes: %Name
Requires: tcl >= 8.4 tk >= 8.4 mkisofs dvd+rw-tools cdrecord

# Automatically added by buildreq on Mon Nov 07 2005
BuildRequires: tcl

%description
%Name is a GUI for growisfs which is a part of dvd+rw-tools programmed
in TCL/Tk.
Features:
  - burn DVD+R/RW -R/W and DVD+R DL
  - burn from iso images
  - create ISO images from files
  - can overburn DVD
  - support multi-sessions DVD
  - add/delete/view/exclude files/directory to burn
  - can keep directory structure
  - size control of selected files
  - show burning command line
  - extra burning options (like iso9660 extensions or dvd compatibility
    option)
  - choose volume id
  - show growisofs/mkisofs output


%prep
%setup -q -n %lname
%patch -p1
sed -i -r -e 's/^([ \t]*wm[ \t]+geometry[ \t]+\.[ \t]+)[[:digit:]]+(x[[:digit:]]+)/\1900\2/' %Name.sh
sed -i -r -e '/^[ \t]*button[ \t]/ s/[ \t]+-width[ \t]+[^ \t]+//' src/*.tcl
# fix lapsus
sed -i -r -e 's/([Ll]ang)(age)/\1u\2/g' FAQ doc/config_file src/*.tcl
for f in %SOURCE1 %SOURCE2; do
    gzip -dc $f >> src/internationalization.tcl
done
sed -i -e 's@/dev/[[:alnum:]]*@%dvddev@g' src/*.tcl %Name.sh
sed -i -r -e 's/4[[:digit:]]{6}/%dvdsize/g' src/*.tcl %Name.sh doc/config_file


%build
./configure --prefix=%_bindir
%make_build


%install
install -pD -m 0755 %lname-install.sh %buildroot/%_bindir/%Name.sh
ln -s %Name.sh %buildroot/%_bindir/%lname
install -pD -m 0644 icons/%lname-2-48.png %buildroot%_liconsdir/%name.png
install -pD -m 0644 icons/%lname-2-32.png %buildroot%_niconsdir/%name.png
install -pD -m 0644 icons/README %buildroot%_docdir/%name-%version/README.icons
install -m 0644 FAQ README TODO doc/config_file %buildroot%_docdir/%name-%version/
bzip2 --best --stdout ChangeLog > %buildroot%_docdir/%name-%version/ChangeLog.bz2
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%Name
Exec=%Name.sh
Comment=GUI for growisfs
Comment[uk]=GUI  dvd+rw-tools
Comment[ru]=GUI  dvd+rw-tools
X-MultipleArgs=true
Icon=%name.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;AudioVideo;DiscBurning;
__MENU__


%post
%update_menus


%postun
%clean_menus


%files
%_docdir/%name-%version
%_bindir/*
%_niconsdir/%name.png
%_liconsdir/%name.png
%_desktopdir/*


%changelog
* Fri Mar 16 2007 Led <led@altlinux.ru> 4.0.6-alt1
- 4.0.6
- fixed %name.desktop

* Sat Feb 17 2007 Led <led@altlinux.ru> 4.0.5-alt2
- rename package from %Name to %lname
- added %lname-4.0.5-width.patch
- cleaned up spec

* Fri Feb 16 2007 Led <led@altlinux.ru> 4.0.5-alt1
- 4.0.5:
  + Eject CD option is now saved in config file
  + Burn speed option is saved in config file

* Fri Aug 11 2006 Led <led@altlinux.ru> 4.0.3-alt1
- 4.0.3
- updated Ukrainian internationalization
- updated Russian internationalization

* Wed Jul 05 2006 Led <led@altlinux.ru> 4.0.2-alt1
- 4.0.2
- fixed and updated Ukrainian internationalization
- updated Russian internationalization
- replaced %name-*-button.patch with sed
- replased subst with sed
- fixed menu file

* Thu Jun 29 2006 Led <led@altlinux.ru> 4.0.0-alt1
- 4.0.0
- updated Ukrainian internationalization
- updated Russian internationalization

* Thu Jun 08 2006 Led <led@altlinux.ru> 3.10.1-alt1
- initial build
- fixed DVD device and DVD size
- added Ukrainian internationalization
- added Russian internationalization
